## ruby-sentry-ruby-core 5.28.0

=== Makefile ===
build:
	bundle install
	gem build sentry-ruby-core.gemspec
	gem build sentry-ruby.gemspec

## ruby-sentry-ruby-core 5.3.0

=== debian/changelog ===
ruby-sentry-ruby-core (5.3.0-2) unstable; urgency=medium

  * Remove git usage in gemspec (without this patch, no .rb files got included
    in the deb file)

 -- Pirate Praveen <praveen@debian.org>  Mon, 09 May 2022 23:09:39 +0530

ruby-sentry-ruby-core (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0

 -- Pirate Praveen <praveen@debian.org>  Fri, 29 Apr 2022 19:16:02 +0530

ruby-sentry-ruby-core (5.2.1-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Apr 2022 13:41:05 +0530

ruby-sentry-ruby-core (5.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1009128)

 -- Pirate Praveen <praveen@debian.org>  Thu, 07 Apr 2022 20:40:05 +0530

=== debian/control ===
Source: ruby-sentry-ruby-core
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               ruby-concurrent-ruby
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-ruby-core.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-ruby-core
Homepage: https://github.com/getsentry/sentry-ruby
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-sentry-ruby-core
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: client interface for the Sentry error logger
 This library provides a client interface for the Sentry error logger. Sentry
 provides real-time crash reporting for web apps, mobile apps, and games.

## ruby-sentry-ruby-core 5.28.0

=== debian/changelog ===
ruby-sentry-ruby-core (5.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.7.2, no changes needed.
  * Mark ruby-sentry-ruby-core as Multi-Arch: foreign.
  * Add build dependency on ruby-sentry-ruby.
  * Drop {XS,XB}-Ruby-Versions in control.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 20 Oct 2025 17:09:15 -0500

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1),
+               ruby-sentry-ruby (>= 5.28.0),
                ruby-concurrent-ruby
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-ruby-core.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-ruby-core
 Homepage: https://github.com/getsentry/sentry-ruby
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-sentry-ruby-core
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=4
https://gemwatch.debian.net/sentry-ruby-core .*/sentry-ruby-core-(.*).tar.gz

# Use the regex below for github-based sources
# opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
# filenamemangle=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
#   https://github.com/<owner>/<repo>/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ruby-sentry-ruby-core 6.3.0

=== debian/changelog ===
ruby-sentry-ruby-core (6.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump build dependency on ruby-sentry-ruby to 6.3.
  * Update Standards-Version to 4.7.3, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 08 Feb 2026 14:30:09 -0600

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1),
-               ruby-sentry-ruby (>= 5.28.0),
+               ruby-sentry-ruby (>= 6.3.0),
                ruby-concurrent-ruby
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-ruby-core.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-ruby-core
 Homepage: https://github.com/getsentry/sentry-ruby

## ruby-sentry-ruby-core 6.4.0

=== debian/changelog ===
ruby-sentry-ruby-core (6.4.0-1) unstable; urgency=medium

  * Team upload.
  * Upgrade the watch file to version 5.
  * New upstream release.
  * Drop Rules-Requires-Root field, it is now redundant.
  * Remove FIXME from upstream metadata.
  * Add a small patch header.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 01 Mar 2026 18:28:44 -0600

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: ruby-sentry-ruby-core
 Section: ruby
-Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1),
-               ruby-sentry-ruby (>= 6.3.0),
+               ruby-sentry-ruby (>= 6.4.0),
                ruby-concurrent-ruby
 Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-ruby-core.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-ruby-core
 Homepage: https://github.com/getsentry/sentry-ruby
 Testsuite: autopkgtest-pkg-ruby
-Rules-Requires-Root: no
 
 Package: ruby-sentry-ruby-core
 Architecture: all

=== debian/watch ===
Version: 5
Source: https://gemwatch.debian.net/sentry-ruby-core
Matching-Pattern: .*/sentry-ruby-core-(.*).tar.gz
